Resend Invite Beneficiary By Email

Re-sends an invitation email to an existing beneficiary using their beneficiary ID. Use this endpoint when the beneficiary's previous invitation link has expired and a new one needs to be issued.

This endpoint only works for beneficiaries that have already been created or invited previously. It cannot be used to initiate a first-time invite.

POST /payments/beneficiaries/invite/resend

Body Parameters Request

Parameter
Type
Required
Description

beneficiaryId

string

Yes

Unique identifier of the beneficiary to re-invite

Body Parameter Response

Parameter
Type
Description

invite.user_id

string

ID of the invited user

invite.user_psa_status

string

Status of the invitation

invite.invite_expires_at

string

ISO datetime when the new invite link expires

update

boolean

Indicates if this is an update operation

create

boolean

Indicates if this is a create operation

name.userId

string

ID of the invited user

name.permissions

array

List of permissions assigned to the user

name.firstName

string

First name of the beneficiary

name.lastName

string

Last name of the beneficiary

name.email

string

Email address of the beneficiary

name.owner.ownerId

string

Owner organisation ID

name.owner.ownerType

string

Owner type (e.g. org_id)

name.owners

object

Map of organisation IDs to assigned roles

name.roles

array

Roles assigned to the user

name.inviteExpiresAt

string

ISO datetime when the invite expires

name.status

string

Status of the user

Request Example

Response Example

Last updated